#!/usr/bin/env python

import logging
import os

import tornado.httpclient
import tornado.ioloop
import tornado.web
import tornado.websocket


class MainHandler(tornado.web.RequestHandler):
    def get(self):
        self.render("templates/index.html")


settings = {
    "cookie_secret": "61oETzKXQAGaYcKL5gEmGeJJFuYh7EQnp2XdTP1o/Vo=",
    "login_url": "/login",
    "xsrf_cookies": True,
    "static_path": os.path.join(os.path.dirname(__file__), "static"),
    "debug": True,
    "mysql_address": "127.0.0.1",
    "mysql_port": 3306,
}

application = tornado.web.Application([
    (r"/", MainHandler),
], **settings)

def main():
    application.listen(8888)
    tornado.ioloop.IOLoop.instance().start()

if __name__ == "__main__":
    main()
    